import { createRouter, createWebHashHistory } from 'vue-router'

import { authLogin } from '@/utils/axios/auth'

import LoginRoutes from './login'
import HomeRoutes from './home'

const routes = [
  ...LoginRoutes,

  {
    path: '/index',
    name: 'Index',
    component: () => import('@/views/Index.vue'),
    children: [...HomeRoutes],
  },
  {
    path: '/',
    redirect: '/home',
  },
  {
    //访问不存在的路由的时候，跳转到首页
    path: '/:pathMatch(.*)',
    redirect: '/home',
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes,
})

router.beforeEach((to, _from, next) => {
  if (to.name === 'Login') {
    next()
  } else {
    if (authLogin()) {
      next()
    } else {
      router.push('/login')
    }
  }
})
export default router
